%define        serverdir     %(apxs -q htdocsdir 2>/dev/null)

# To create a customized installation:
# autospec -u joomla -a5 \
#   -d "installdir=%serverdir/../www.example.com, \
#       sitename=example, \
#       adminmail=webmaster@example.com"

%if "%{?installdir}" == ""
   %define     installdir    %{serverdir}/joomla
%endif

%if "%{?sitename}" != ""
   %if "%{?servername}" == ""
      %define  servername    %(basename %installdir 2>/dev/null)
   %endif
   %define     serverlogdir  %(apxs -q logfiledir 2>/dev/null)
%else
   %if "%{?aliasdir}" == ""
      %define  aliasdir      /magento
   %endif
%endif
Name:          %{?sitename:%sitename-website-}joomla
Version:       5.1.4
Release:       1mamba
Summary:       A PHP based content management system (CMS)
Group:         Applications/Web
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.joomla.org/
Source:        https://github.com/joomla/joomla-cms/releases/download/%{version}/Joomla_%{version}-Stable-Full_Package.zip
Patch0:        joomla-1.5.9-safe_mode_disable_warnings.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      php
Requires:      mysql
Requires:      apache
Requires:      apache-mod_php
Requires:      php-mysql
BuildArch:     noarch

%description
A PHP based content management system (CMS).

%prep
%setup -q -c %{name}-%{version}
#%patch0 -p1

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d %{buildroot}%{installdir}
cp -a * %{buildroot}%{installdir}

install -d %{buildroot}%{_sysconfdir}/httpd/httpd.d
%if "%{?sitename}" != ""
cat > %{buildroot}%{_sysconfdir}/httpd/httpd.d/%{servername}.conf << EOF
%else
cat > %{buildroot}%{_sysconfdir}/httpd/httpd.d/%{name}.conf << EOF
%endif
%if "%{?sitename}" == ""
%if "%(dirname %installdir)" != "%{serverdir}"
Alias %{aliasdir} %{installdir}

%endif
%endif
<Directory %{installdir}>
    AllowOverride All
    RewriteEngine On
    Order allow,deny
    Allow from All
</Directory>
%if "%{?sitename}" != ""
%if "%(dirname %installdir)" != "%{serverdir}"

<VirtualHost *:80>
   %{?adminmail:ServerAdmin %adminmail}
   DocumentRoot %{installdir}
   ServerName %{servername}
   ErrorLog %{serverlogdir}/%{servername}-error_log
   CustomLog %{serverlogdir}/%{servername}-access_log common
</VirtualHost>
%endif
%endif
EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   [ -e %{_localstatedir}/lock/subsys/httpd ] && service httpd reload || :
fi
:

%files
%defattr(-,root,root)
%if "%{?sitename}" != ""
%config(noreplace) %{_sysconfdir}/httpd/httpd.d/%{servername}.conf
%else
%config(noreplace) %{_sysconfdir}/httpd/httpd.d/%{name}.conf
%endif
%dir %{installdir}
%{installdir}/administrator
%{installdir}/cache
%{installdir}/components
%{installdir}/htaccess.txt
%{installdir}/images
%{installdir}/includes
%{installdir}/index.php
%{installdir}/installation
#%{installdir}/joomla.xml
%{installdir}/language
%{installdir}/libraries
%{installdir}/LICENSE.txt
%{installdir}/README.txt
%{installdir}/api
%{installdir}/cli
%{installdir}/layouts
#%{installdir}/logs
%{installdir}/media
%{installdir}/modules
%{installdir}/plugins
%{installdir}/robots.txt.dist
%{installdir}/templates
%{installdir}/tmp
%{installdir}/web.config.txt

%changelog
* Wed Aug 28 2024 Automatic Build System <autodist@openmamba.org> 5.1.4-1mamba
- automatic version update by autodist

* Wed Aug 21 2024 Automatic Build System <autodist@openmamba.org> 5.1.3-1mamba
- automatic version update by autodist

* Wed May 29 2024 Automatic Build System <autodist@openmamba.org> 5.1.1-1mamba
- automatic version update by autodist

* Wed Apr 17 2024 Automatic Build System <autodist@openmamba.org> 5.1.0-1mamba
- automatic version update by autodist

* Sat Apr 13 2024 Automatic Build System <autodist@openmamba.org> 5.0.3-1mamba
- automatic version update by autodist

* Sat Feb 03 2024 Automatic Build System <autodist@openmamba.org> 5.0.2-1mamba
- automatic version update by autodist

* Tue Dec 19 2023 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic version update by autodist

* Thu Oct 19 2023 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic version update by autodist

* Tue Aug 29 2023 Automatic Build System <autodist@mambasoft.it> 4.3.4-1mamba
- automatic version update by autodist

* Sun Aug 06 2023 Automatic Build System <autodist@mambasoft.it> 4.3.3-1mamba
- automatic version update by autodist

* Fri Jun 02 2023 Automatic Build System <autodist@mambasoft.it> 4.3.2-1mamba
- automatic version update by autodist

* Wed May 03 2023 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Sat Mar 18 2023 Automatic Build System <autodist@mambasoft.it> 4.2.9-1mamba
- automatic version update by autodist

* Fri Feb 17 2023 Automatic Build System <autodist@mambasoft.it> 4.2.8-1mamba
- automatic version update by autodist

* Tue Jan 31 2023 Automatic Build System <autodist@mambasoft.it> 4.2.7-1mamba
- automatic version update by autodist

* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 4.2.6-1mamba
- automatic version update by autodist

* Tue Nov 15 2022 Automatic Build System <autodist@mambasoft.it> 4.2.5-1mamba
- automatic version update by autodist

* Sun Sep 25 2022 Automatic Build System <autodist@mambasoft.it> 4.2.2-1mamba
- automatic version update by autodist

* Tue Jun 21 2022 Automatic Build System <autodist@mambasoft.it> 4.1.5-1mamba
- automatic version update by autodist

* Wed May 25 2022 Automatic Build System <autodist@mambasoft.it> 4.1.4-1mamba
- automatic version update by autodist

* Wed May 11 2022 Automatic Build System <autodist@mambasoft.it> 4.1.3-1mamba
- automatic version update by autodist

* Fri Apr 01 2022 Automatic Build System <autodist@mambasoft.it> 4.1.2-1mamba
- automatic version update by autodist

* Wed Mar 30 2022 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic version update by autodist

* Wed Jan 19 2022 Automatic Build System <autodist@mambasoft.it> 4.0.6-1mamba
- automatic version update by autodist

* Sat Jan 15 2022 Automatic Build System <autodist@mambasoft.it> 4.0.5-1mamba
- automatic version update by autodist

* Thu Oct 28 2021 Automatic Build System <autodist@mambasoft.it> 4.0.4-1mamba
- automatic version update by autodist

* Wed Aug 25 2021 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic version update by autodist

* Wed Aug 11 2021 Automatic Build System <autodist@mambasoft.it> 3.9.28-1mamba
- automatic version update by autodist

* Mon Jun 21 2021 Automatic Build System <autodist@mambasoft.it> 3.9.27-1mamba
- automatic version update by autodist

* Tue Apr 20 2021 Automatic Build System <autodist@mambasoft.it> 3.9.26-1mamba
- automatic version update by autodist

* Sat Mar 06 2021 Automatic Build System <autodist@mambasoft.it> 3.9.25-1mamba
- automatic version update by autodist

* Tue Feb 09 2021 Automatic Build System <autodist@mambasoft.it> 3.9.24-1mamba
- automatic version update by autodist

* Thu Feb 19 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.6-1mamba
- update to 3.3.6

* Sun Oct 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.8-2mamba
- fix apxs path

* Wed Nov 21 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.8-1mamba
- update to 2.5.8

* Fri Sep 21 2012 Automatic Build System <autodist@mambasoft.it> 2.5.7-1mamba
- automatic update by autodist

* Fri Oct 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.14-1mamba
- update to 1.5.14

* Tue Jul 07 2009 Automatic Build System <autodist@mambasoft.it> 1.5.12-1mamba
- update to 1.5.12

* Tue Jul 07 2009 Automatic Build System <autodist@mambasoft.it> 1.5.11-1mamba
- automatic update by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 1.5.10-1mamba
- automatic update by autodist

* Fri Mar 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.9-1mamba
- update to 1.5.9

* Mon Dec 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.8-2mamba
- automatic update by autodist

* Tue Sep 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.7-1mamba
- package created by autospec
